CVE-2018-20467

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

In coders/bmp.c in ImageMagick before 7.0.8-16, an input file can result in an infinite loop and hang, with high CPU and memory consumption. Remote attackers could leverage this vulnerability to cause a denial of service via a crafted file.

References

https://github.com/ImageMagick/ImageMagick/issues/1408

https://github.com/ImageMagick/ImageMagick/commit/db0add932fb850d762b02604ca3053b7d7ab6deb

http://www.securityfocus.com/bid/106315

http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00034.html

http://lists.opensuse.org/opensuse-security-announce/2019-05/msg00006.html

https://usn.ubuntu.com/4034-1/

https://lists.debian.org/debian-lts-announce/2020/08/msg00030.html

Details

Source: MITRE

Published: 2018-12-26

Updated: 2021-04-28

Type: CWE-835

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 6.5

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.8

Severity: MEDIUM

Tenable Plugins

View all (18 total)

IDNameProductFamilySeverity
143991NewStart CGSL CORE 5.05 / MAIN 5.05 : ImageMagick Multiple Vulnerabilities (NS-SA-2020-0119)NessusNewStart CGSL Local Security Checks
critical
143964NewStart CGSL CORE 5.04 / MAIN 5.04 : ImageMagick Multiple Vulnerabilities (NS-SA-2020-0079)NessusNewStart CGSL Local Security Checks
critical
141987Amazon Linux 2 : ImageMagick (ALAS-2020-1497)NessusAmazon Linux Local Security Checks
critical
139675Debian DLA-2333-1 : imagemagick security updateNessusDebian Local Security Checks
critical
138633Amazon Linux AMI : php-pecl-imagick (ALAS-2020-1391)NessusAmazon Linux Local Security Checks
critical
135797Scientific Linux Security Update : ImageMagick on SL7.x x86_64 (20200407)NessusScientific Linux Local Security Checks
critical
135519EulerOS 2.0 SP3 : ImageMagick (EulerOS-SA-2020-1390)NessusHuawei Local Security Checks
critical
135354CentOS 7 : ImageMagick / autotrace / emacs / inkscape (CESA-2020:1180)NessusCentOS Local Security Checks
critical
135041RHEL 7 : ImageMagick (RHSA-2020:1180)NessusRed Hat Local Security Checks
critical
131846EulerOS 2.0 SP2 : ImageMagick (EulerOS-SA-2019-2354)NessusHuawei Local Security Checks
critical
130869EulerOS 2.0 SP5 : ImageMagick (EulerOS-SA-2019-2160)NessusHuawei Local Security Checks
critical
126254Ubuntu 16.04 LTS / 18.04 LTS / 18.10 / 19.04 : ImageMagick vulnerabilities (USN-4034-1)NessusUbuntu Local Security Checks
high
124639openSUSE Security Update : ImageMagick (openSUSE-2019-1320)NessusSuSE Local Security Checks
high
124315SUSE SLED12 / SLES12 Security Update : ImageMagick (SUSE-SU-2019:1033-1)NessusSuSE Local Security Checks
high
123771openSUSE Security Update : ImageMagick (openSUSE-2019-1141)NessusSuSE Local Security Checks
high
123456SUSE SLES11 Security Update : ImageMagick (SUSE-SU-2019:13993-1)NessusSuSE Local Security Checks
high
123410SUSE SLED15 / SLES15 Security Update : ImageMagick (SUSE-SU-2019:0739-1)NessusSuSE Local Security Checks
high
121146openSUSE Security Update : GraphicsMagick (openSUSE-2019-16)NessusSuSE Local Security Checks
medium